Send feedback
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/users/{userId}/feedback \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"type": "feedback",
"subject": "<string>",
"body": "<string>",
"workEmail": "<string>",
"company": "<string>",
"jobTitle": "<string>",
"companySize": "<string>",
"organizationId": 123
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/users/{userId}/feedback"
payload = {
"type": "feedback",
"subject": "<string>",
"body": "<string>",
"workEmail": "<string>",
"company": "<string>",
"jobTitle": "<string>",
"companySize": "<string>",
"organizationId": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'feedback',
subject: '<string>',
body: JSON.stringify('<string>'),
workEmail: '<string>',
company: '<string>',
jobTitle: '<string>',
companySize: '<string>',
organizationId: 123
})
};
fetch('https://studio.edgeimpulse.com/v1/api/users/{userId}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>"
}Send feedback
Send feedback to Edge Impulse or get in touch with sales.
POST
/
api
/
users
/
{userId}
/
feedback
Send feedback
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
User ID
Body
application/json
Available options:
feedback The reason the user is contacting Edge Impulse Support.
The body of the message.
The user's work email address. This is optional, if it's not provided, the registered email will be used.
The user's company. This is optional.
The user's job title. This is optional.
The user's company size. This is optional.
The user's organization ID. This is optional.
Was this page helpful?
⌘I